petsc-3.6.2 2015-10-02
Report Typos and Errors

# TSGetSNESIterations

Gets the total number of nonlinear iterations used by the time integrator.

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSGetSNESIterations(TS ts,PetscInt *nits)

Not Collective

### Input Parameter

ts - TS context

### Output Parameter

nits - number of nonlinear iterations

### Notes

This counter is reset to zero for each successive call to TSSolve().

### Keywords

TS, get, number, nonlinear, iterations

### See Also

TSGetKSPIterations()

Level:intermediate
Location:src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ts/examples/tutorials/ex8.c.html
src/ts/examples/tutorials/ex24.c.html